export namespace Router {
    function getTabDisplayAs(tab_id: any, defaultEnableSplit: any): string;
    function setTabDisplayAs(tab_id: any, displayAs: any): void;
    function getAppPath({ formFactor, appId }: {
        formFactor: any;
        appId: any;
    }): string;
    function getPagePath(): void;
    function getObjectListViewPath({ formFactor, appId, objectName, listViewName }: {
        formFactor: any;
        appId: any;
        objectName: any;
        listViewName: any;
    }): string;
    function getObjectDetailPath(props: any): string;
    function getObjectRelatedViewPath({ formFactor, appId, masterObjectName, masterRecordId, objectName, foreignKey }: {
        formFactor: any;
        appId: any;
        masterObjectName: any;
        masterRecordId: any;
        objectName: any;
        foreignKey: any;
    }): string;
}
